/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#ifndef _TEST_TPCIFT_H_
#define _TEST_TPCIFT_H_
/*****************************************************************************/

/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
/*****************************************************************************/
#include "tpcift.h"
/*****************************************************************************/

/*****************************************************************************/
/* ift */
extern int test_iftInit(int verbose);
extern int test_iftFree(int verbose);
extern int test_iftPut(int verbose);
extern int test_iftPutDouble(int verbose);
extern int test_iftPutInt(int verbose);
extern int test_iftPutUInt(int verbose);
extern int test_iftDelete(int verbose);
extern int test_iftDuplicate(int verbose);
extern int test_iftReplaceValue(int verbose);
extern int test_iftReplaceKey(int verbose);
extern int test_iftDeleteDuplicateKeys(int verbose);
/*****************************************************************************/

/*****************************************************************************/
/* iftio */
extern int test_iftWrite(int verbose);
extern int test_iftWriteItem(int verbose);
extern int test_iftRead(int verbose);
/*****************************************************************************/

/*****************************************************************************/
/* iftfind */
extern int test_iftFindKey(int verbose);
extern int test_iftFindPair(int verbose);
extern int test_iftSearchKey(int verbose);
extern int test_iftSearchValue(int verbose);
extern int test_iftFindNrOfKeys(int verbose);
extern int test_iftDeleteKey(int verbose);
extern int test_iftGetDoubleValue(int verbose);
/*****************************************************************************/

/*****************************************************************************/
/* iftget */
extern int test_iftGetFloat(int verbose);
extern int test_iftGetDouble(int verbose);
extern int test_iftGetInt(int verbose);
extern int test_iftGetUInt(int verbose);
extern int test_iftGetDoubleWithUnit(int verbose);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCIFT */
